Package org.apache.torque.sql.whereclausebuilder

## Interface WhereClausePsPartBuilder

- All Known Implementing Classes:
    `AbstractWhereClausePsPartBuilder`, `CurrentDateTimePsPartBuilder`, `EnumValueBuilder`, `InBuilder`, `LikeBuilder`, `NullValueBuilder`, `StandardBuilder`, `VerbatimSqlConditionBuilder`

      public interface WhereClausePsPartBuilder

  Builds a PreparedStatementPart from a WhereClauseExpression.
  Version:
    $Id: WhereClausePsPartBuilder.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PreparedStatementPart` | `buildPs​(WhereClauseExpression whereClauseExpression, boolean ignoreCase, Query query, Adapter adapter)` | Builds a PreparedStatementPart from a WhereClauseExpression.
    `boolean` | `isApplicable​(WhereClauseExpression whereClauseExpression, Adapter adapter)` | Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

- - ### Method Detail

    - #### buildPs

          PreparedStatementPart buildPs​(WhereClauseExpression whereClauseExpression,
                                        boolean ignoreCase,
                                        Query query,
                                        Adapter adapter)
                                 throws TorqueException

      Builds a PreparedStatementPart from a WhereClauseExpression.
      Parameters:
        `whereClauseExpression` - the part of the where clause to build. Can be modified in this method.
        `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
        `query` - the query which is currently built
        `adapter` - The adapter for the database for which the SQL should be created, not null.
      Returns:
        the PreparedStatementPart for the WhereClauseExpression.
      Throws:
        `TorqueException` - when rendering fails.

    - #### isApplicable

          boolean isApplicable​(WhereClauseExpression whereClauseExpression,
                               Adapter adapter)

      Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.
      Parameters:
        `whereClauseExpression` - the WhereClauseExpression in question.
        `adapter` - The adapter for the database for which the SQL should be created, not null.
      Returns:
        true if applicable, false otherwise.